Download it now!
Bug 47544 - Isosceles Triangle convert to Polygon, change Save file to re-Open file
Summary: Isosceles Triangle convert to Polygon, change Save file to re-Open file
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 20:00 UTC by jpmoreau
Modified: 2014-08-04 16:15 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Drawing of some isosceles triangles converted to polygon, Draw. (12.88 KB, application/vnd.oasis.opendocument.graphics)
2013-05-29 05:23 UTC, jpmoreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jpmoreau 2012-03-19 20:00:09 UTC
In LibreOffice-3.5.1 Draw: Basic Shapes, Isosceles Triangle.
Draw big triangle taking half of page, taking top half of page.
This Triangle object selected, > Convert > To Polygon.
> Save in ODG file. Close. Open recent documents, re-open file.
The polygon has changed position, now at bottom of page.

Probably related:
- no such problem for a triangle by Filled Polygon, 3 sided polygon.
- with Isosceles Triangle converted to Polygon,
  [Points(F8)] On in Draw toolbar shows 5 edit points,
  but for triangle from Filled Polygon with 3 sides, only 3 points.
Clearly not same type of Polygons,
but should not cause the Save then ReLoad problem.

I searched for this bug or similar, for example
https://bugs.freedesktop.org/, search (libreoffice triangle polygon):
nothing found related to bug reported here.

On two OS, details on systems and versions:

Windows 7, 64 bits, libreoffice-3.5.1, > Help > About:
LibreOffice 3.5.1.2 Version ID dc9775d-05ecbee-0851ad3-1586698-727bf66.

Linux Slackware 13.37, 64 bits, libreoffice-3.5.1rc2,
repackaged RPMs by slackbuilds.org SlackBuild for libreoffice,
  LibO_3.5.1_Linux_x86-64_install-rpm_en-US.tar.gz, containing (among others):
  LibO_3.5.1rc2_Linux_x86-64_install-rpm_en-US/RPMS/libreoffice3.5-3.5.1-102.x86_64.rpm
Installed from slackware pkg by slackbuilds.org for libreoffice-3.5.0,
should not be a problem for lo-3.5.1.

-- 
Jean-Pierre
Comment 1 sasha.libreoffice 2012-06-13 02:22:53 UTC
Thanks for bugreport

> - with Isosceles Triangle converted to Polygon,
>  [Points(F8)] On in Draw toolbar shows 5 edit points
reproduced in 3.5.4

>The polygon has changed position, now at bottom of page.
Not reproduced. May be I do something wrong. Or bug is fixed.
If bug still exist, please, attach document produced after this step:
> Draw big triangle taking half of page, taking top half of page.
Then I will open it, convert to polygon, save, reload
Comment 2 Joel Madero 2013-05-28 15:37:56 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 jpmoreau 2013-05-29 05:23:19 UTC
Created attachment 79933 [details]
Drawing of some isosceles triangles converted to polygon, Draw.
Comment 4 jpmoreau 2013-05-29 05:27:13 UTC
No more this change of position, however some problem remains,
of converted triangle in LibreOffice-4.0.1 Draw, in Linux Slackware 14.0 64 bits.

LibreOffice-4.0.1.2 Draw, Basic Shapes, Isosceles Triangle.
Draw big triangle, color filled, taking more than half of page, top of page.
Select this Triangle object > Convert > To Polygon.
> Save, in ODG file. Close, Re-Open document.

Attached is a drawing related, file isosceles-to-polygon.odg,
   Drawing of some isosceles triangles converted to polygon, Draw.
   (marked (12.88 KB, application/vnd.oasis.opendocument.graphics) 2013-05-29 05:23 UTC)

No more changing position, even doing 5 or 6 times:
   some modif (position of another object), Close, Re-Open document.

However (Edit Points) on converted triangle still informs, at bottom status bar,
of "Polygon 5 corners selected",
With (Edit Points) on this triangle converted to Polygon, there are 5 points,
so 2 extraneous ones (one is superposed on another).
This could possibly produce other problems, even if no more change of position
doing Save, Close, Re-Open.
If I delete these 2 'extra' points, the polygon now correct: with 3 points.

NO similar problem with a Rectangle converted to Polygon, (Edit Points) informs
of "Polygon 4 corners selected".
Comment 5 sasha.libreoffice 2013-05-29 13:10:12 UTC
Thanks for additional testing and information

I have created separate bugreport about extra points:
Bug 65127 - most of shapes have two extra dots
Comment 6 tommy27 2013-08-29 13:16:43 UTC
removed redundant infos from summary.

@reporter
do you still see problems with recent 4.0.5 or 4.1.1 LibO releases?
Comment 7 Robinson Tryon (qubit) 2013-12-24 00:29:04 UTC
(In reply to comment #6)
> removed redundant infos from summary.
> 
> @reporter
> do you still see problems with recent 4.0.5 or 4.1.1 LibO releases?

Status -> NEEDINFO
Comment 8 Regina Henschel 2013-12-26 00:09:20 UTC
Having additional points is likely duplicate to bug 65127, which is duplicate to bug 37559.
Comment 9 QA Administrators 2014-07-08 17:29:34 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 10 QA Administrators 2014-08-04 16:15:33 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO